
Katello - Bug #5012

Candlepin role already exists

04/01/2014 06:45 PM - Bryan Kearney

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: Installer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1072708 Red Hat JIRA:  

Pull request:    

Description

When doing an install, the following warning occurs

[root@sat6 ~]# katello-installer

/Stage[main]/Candlepin::Database/Postgresql::Server::Db[candlepin]/Postgresql::Server::Role[candlepin]/Postgresql_psql[CREATE

ROLE "candlepin" ENCRYPTED PASSWORD 'md5880eb9d5edfae290987def5e54a51a74' LOGIN NOCREATEROLE

NOCREATEDB NOSUPERUSER  CONNECTION LIMIT -1]: Failed to call refresh: Error executing SQL; psql returned 256: 'ERROR:

role "candlepin" already exists

/Stage[main]/Candlepin::Database/Postgresql::Server::Db[candlepin]/Postgresql::Server::Role[candlepin]/Postgresql_psql[CREATE

ROLE "candlepin" ENCRYPTED PASSWORD 'md5880eb9d5edfae290987def5e54a51a74' LOGIN NOCREATEROLE

NOCREATEDB NOSUPERUSER  CONNECTION LIMIT -1]: Error executing SQL; psql returned 256: 'ERROR:  role "candlepin"

already exists

Installing             Done                                               [100%] [........................................................................................................]

Related issues:

Has duplicate Katello - Bug #5438: katello-installer spews error messages fro... Closed 04/24/2014

Has duplicate Katello - Bug #5943: Installer shows failure message though eve... Duplicate 05/27/2014

Associated revisions

Revision f0fc5681 - 06/05/2014 03:23 AM - Eric Helms

Fixes #5012: Point at upstream postgresql module to prevent Candlepin DB error, BZ1072708.

History

#1 - 04/29/2014 01:45 PM - Devan Goodwin

Appears to be an upstream bug:

https://tickets.puppetlabs.com/browse/MODULES-775

#2 - 05/28/2014 07:02 PM - Eric Helms

- Has duplicate Bug #5438: katello-installer spews error messages from candlepin added

#3 - 06/04/2014 08:36 AM - Dominic Cleal

Devan Goodwin wrote:

Appears to be an upstream bug:

https://tickets.puppetlabs.com/browse/MODULES-775

 Fixed.

#4 - 06/04/2014 08:36 AM - Dominic Cleal

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1072708
#5 - 06/05/2014 03:22 AM - Eric Helms

- Assignee set to Eric Helms

- Target version set to 45

- Triaged changed from No to Yes

#6 - 06/05/2014 03:24 AM - Eric Helms

- Has duplicate Bug #5943: Installer shows failure message though everything went well with minor exception added

#7 - 06/09/2014 04:01 PM - Eric Helms

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello-installer|commit:f0fc568176e8c2cee98a8a08f32a940ee6305bdb.

#8 - 08/21/2014 02:43 PM - Eric Helms

- translation missing: en.field_release set to 13
